--!parent
--!encoding=utf-8

--****************************************************************************
-- @file      LSW CORE LIB: OSC
-- @author    Valentin Schmidt
-- @version   0.1
-- @requires  xtra("OSC")
--****************************************************************************

property ancestor

----------------------------------------
-- @constructor
----------------------------------------
on new (me, tBuffSize)

  me.$.loadXtras(me.libdir, ["OSC.x32"], ["OSC Xtra"])
  --put xtra("OSC").interface()
	
	if voidP(tBuffSize) then tBuffSize = 1024
  me.ancestor = xtra("OSC").new(tBuffSize)

  return me
end

----------------------------------------
-- Returns RGBA float for color
-- @param {integer} r
-- @param {integer} g
-- @param {integer} b
-- @param {integer} a
-- @return {floor}
----------------------------------------
on rgba (me, r,g,b,a)
  if voidP(a) then a = 255
  return 1.0 * 256*256*256*r + 256*256*g + 256*b + a
end
